#ifndef BUTTONSHAPE_H
#define BUTTONSHAPE_H

#include "glm/vec2.hpp"

class MeshNode;
class BackGroundNode;

class ButtonShape
{
protected:
   BackGroundNode* m_background;

public:
    ButtonShape(){}

    virtual bool hover(glm::vec2 button_position, glm::vec2 mouse_position) = 0;
//    glm::vec2 getPosition(){return m_position;}
    virtual BackGroundNode* getBackGround() = 0;
    virtual glm::vec2 getDimension() = 0;
};

class RectangleButtonShape:public ButtonShape
{
    glm::vec2 m_dimension;
public:
    RectangleButtonShape(glm::vec2);
    bool hover(glm::vec2 button_position, glm::vec2 mouse_position);
    BackGroundNode* getBackGround();
    glm::vec2 getDimension();
};

#endif // BUTTONSHAPE_H
